DataCubeControllerReplaceStructure Method |
POST /DataCube/ReplaceStructure/{id}
Replaces the structure of a select transform. This is used to change one structure with another to effectively replace the source of a select transform.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("ReplaceStructure")]
public IActionResult ReplaceStructure(
Guid id,
[FromBodyAttribute] ReplaceStructureOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("ReplaceStructure")>
Public Function ReplaceStructure (
id As Guid,
<FromBodyAttribute> options As ReplaceStructureOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"ReplaceStructure")]
IActionResult^ ReplaceStructure(
Guid id,
[FromBodyAttribute] ReplaceStructureOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("ReplaceStructure")>]
member ReplaceStructure :
id : Guid *
[<FromBodyAttribute>] options : ReplaceStructureOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data cube to replace the select transform on. - options
- Type: Dundas.BI.WebApi.ModelsReplaceStructureOptions
The transform to replace the structure of. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
DataCubeData object containing the updated data cube data, or a status code indicating the problem.
See Also